Subject: bug#66669: 30.0.50; [EGLOT] Emacs freezes when server sends a ton of progress notifications

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Oct 2023 07:50:51 +0300

> Cc: [email-masked]
> From: Yuan Fu <[email-masked]>
> Date: Sat, 21 Oct 2023 12:10:49 -0700
> 
> I use rust’s language server (rust-analyzer) with eglot. And whenever I turn eglot on for a project, Emacs freezes for a good 30 seconds, busy updating the eglot progress indicator, before I can do anything. I think the reason is that the rust language server sends a ton of progress notifications, which completely blocks Emacs before it’s done.
> 
> Setting eglot-report-progress to nil doesn’t help me, presumably because eglot still needs to process the notifications.

Can't this information be processed in chunks, not in one go?